%global pypi_name txtorcon

Name:           python-%{pypi_name}
Version:        24.8.0
Release:        %autorelease -b 1
Summary:        Twisted-based Tor controller client, with state-tracking and configuration abstractions.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/meejah/%{pypi_name}
Source:         %{pypi_source %{pypi_name}}

Patch0:         00-remove-examples.patch

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
txtorcon is an implementation of the control-spec for Tor using the Twisted
networking library for Python.

This is useful for writing utilities to control or make use of Tor in
event-based Python programs. If your Twisted program supports endpoints
(like twistd does) your server or client can make use of Tor immediately,
with no code changes. Start your own Tor or connect to one and get live stream,
circuit, relay updates; read and change config; monitor events; build circuits;
create onion services; etcetera.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%exclude %{_datadir}/%{pypi_name}/__pycache__


%changelog
* Sat Oct 05 2024 Kyle Bloom <kylejbloom@gmail.com> - 24.8.0-1
- Upgrade version to 24.8.0

* Sat Jul 13 2024 Kyle Bloom <kylejbloom@gmail.com> - 23.11.0-2
- Change patch file

* Sat Jul 13 2024 Kyle Bloom <kylejbloom@gmail.com> - 23.11.0-1
- Initial package
